不能安裝ies4linux [論壇 - Ubuntu安裝問題]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊

(1) 2 »


max891
不能安裝ies4linux
Anon:max891
我試2天了 一直爬文找不到解決方法

安裝時 出現以下紅色字句

Installing IE 6
Initializing
Creating Wine Prefix
Extracting CAB files
/home/nanameh/.ies4linux/downloads/ie6/EN-US/ADVAUTH.CAB: No such file or directory
/home/nanameh/.ies4linux/downloads/ie6/EN-US/CRLUPD.CAB: No such file or directory
/home/nanameh/.ies4linux/downloads/ie6/EN-US/HHUPD.CAB: No such file or directory
/home/nanameh/.ies4linux/downloads/ie6/EN-US/IEDOM.CAB: No such file or directory
/home/nanameh/.ies4linux/downloads/ie6/EN-US/IE_EXTRA.CAB: No such file or directory
/home/nanameh/.ies4linux/downloads/ie6/EN-US/IE_S*.CAB: No such file or directory
/home/nanameh/.ies4linux/downloads/ie6/EN-US/SETUPW95.CAB: No such file or directory
/home/nanameh/.ies4linux/downloads/ie6/EN-US/VGX.CAB: No such file or directory
An error occured when trying to cabextract some files.

2007/12/15 13:56 | 5a834 a8425 50401 0500e
應用擴展 工具箱
sss
回復: 不能安裝ies4linux
Anon:sss
先將.ies4linux那個資料夾刪去
重裝試試

2007/12/15 16:56 | 53dfd efbd7 93e4a 8b734
應用擴展 工具箱
回復: 不能安裝ies4linux
會員一級
註冊日期:
2007/12/15 13:51
所屬群組:
已註冊使用者
等級: 3
HP : 0 / 60
MP : 7 / 2050
EXP: 41
離線
試過了,不行丫

2007/12/15 17:57
應用擴展 工具箱
回復: 不能安裝ies4linux
會員二級
註冊日期:
2007/9/8 1:14
所屬群組:
已註冊使用者
等級: 5
HP : 0 / 122
MP : 16 / 4253
EXP: 90
離線
似乎是目前釋出的安裝程式設計錯了,等作者再出更新版吧。

2007/12/15 17:58
應用擴展 工具箱
mms582001@hotmail.com
回復: 不能安裝ies4linux
Anon:mms582001@hotmail.com

2007/12/16 1:46 | c6319 8eac1 b7d87 de76d
應用擴展 工具箱
回復: 不能安裝ies4linux
會員二級
註冊日期:
2007/9/8 1:14
所屬群組:
已註冊使用者
等級: 5
HP : 0 / 122
MP : 16 / 4253
EXP: 90
離線
教學文章裡面給的下載點其實也是官方的(舊版),而且裡面的教學也和官方大同小異。

http://www.tatanka.com.br/ies4linux/page/Installation:Ubuntu

無論新舊,安裝程式畢竟還是要到IE4Linux官方那下載安裝元件(部份),因為現在似乎是官方那兒的問題,所以只好等了。(希望哪位英文天才可以幫忙回報一下﹍)

我個人是建議用Wine-Doors來裝IE,裝出來的IE6不會像IE4Linux那樣閃跳,缺點是會是英文版的(對Wine本體來說是優點)。

2007/12/16 2:03
應用擴展 工具箱
回復: 不能安裝ies4linux
會員一級
註冊日期:
2007/12/15 13:51
所屬群組:
已註冊使用者
等級: 3
HP : 0 / 60
MP : 7 / 2050
EXP: 41
離線
我安裝舊版成功了

2007/12/16 10:51
應用擴展 工具箱
James
回復: 不能安裝ies4linux
Anon:James
修改二個地方(在ies4linux-lastest.tar.gz展開的目錄下)
1. 將lib/messages.txt中的
tw . zhtw TW
改成
zh tw zhtw TW

2. 將lib/functions.sh中的
pid=(wget ...)
改成
pid=(LANG=C wget ...)

diff 格式如下
改完後再執行 ./ies4linux 即可


diff -r -bBiwu ies4linux-2.99.0/lib/functions.sh ies4linux/lib/functions.sh
--- ies4linux-2.99.0/lib/functions.sh 2007-11-26 14:28:16.000000000 +0800
+++ ies4linux/lib/functions.sh 2007-12-17 09:40:30.000000000 +0800
@@ -95,7 +95,7 @@

local useragent="Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)"
if [ "$HASWGET" = "1" ]; then
- pid=$(wget -q -b -t 1 -T 5 -U "$useragent" -o /dev/null $URL $WGETFLAGS -O "$file" | sed -e 's/[^0-9]//g')
+ pid=$(LANG=C wget -q -b -t 1 -T 5 -U "$useragent" -o /dev/null $URL $WGETFLAGS -O "$file" | sed -e 's/[^0-9]//g')
elif [ "$HASCURL" = "1" ]; then
( curl -s -A "$useragent" "$URL" -o "$file" & )
pid="$(pidof curl)"
diff -r -bBiwu ies4linux-2.99.0/lib/messages.txt ies4linux/lib/messages.txt
--- ies4linux-2.99.0/lib/messages.txt 2007-11-26 14:28:16.000000000 +0800
+++ ies4linux/lib/messages.txt 2007-12-17 09:12:15.000000000 +0800
@@ -16,7 +16,7 @@
de . deDE DE
bg bg bgBG EN-US
nl . nlNL NL
-tw . zhTW TW
+zh tw zhTW TW
tr . trTR TR
ja . jaJP JA
da . daDK DA

2007/12/17 9:45 | 9f924 4c912 cba8d eb5db
應用擴展 工具箱
訪客
回復: 不能安裝ies4linux
Anon:訪客
請問新版解決這個問題了嗎?
希望有強者大大能向IEs4Linux官方反應一下這個問題!

2008/3/11 18:47 | 75878 66430 9b1e1 2165b
應用擴展 工具箱
回復: 不能安裝ies4linux
會員一級
註冊日期:
2008/5/1 21:49
所屬群組:
已註冊使用者
等級: 3
HP : 0 / 60
MP : 7 / 1983
EXP: 41
離線
幫推一下,小弟用8.04版64-bit,也是裝不好IEs4Linux,想請問:

1,小弟依照兩個網頁安裝IEs4Linux與wine,如下列
http://www.tatanka.com.br/ies4linux/page/Installation:Ubuntu
http://www.winehq.org/site/download-deb

請問第一個網頁的第3與4步,包含deb的兩個網址,把edgy改成hardy後,貼入來源清單,要貼在哪邊?最下面就可以嗎?

2,嘗試執行最後步驟(./ies4linux),訊息:

grep: : 沒有此一檔案或目錄

然後出現IEs4Linux視窗,按下視窗的確定後,視窗隨即關閉,
之後的終端機訊息都類似:

/home/yusunu/ies4linux-2.99.0.1/ui/pygtk/ies4linux-gtk.py:268: GtkWarning: gtk_text_layout_real_invalidate: assertion `layout->wrap_loop_count == 0' failed
self.textbuffer.insert_with_tags(self.textbuffer.get_end_iter(), line, tag)
ui/pygtk/python-gtk.sh: line 6: 11008 程式記憶體區段錯誤 python "$IES4LINUX"/ui/pygtk/ies4linux-gtk.py

請問這又是哪邊有問題?謝謝.

要是IEs4Linux成功,可以在Ubuntu下用ActiveX,
那小弟就可以除了玩Game外,都不用進Windows了.

2008/7/1 20:32
應用擴展 工具箱

(1) 2 »

 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.